#include "simpletools.h"

// SD card pins on Propeller BOE
#define DO 22
#define CLK 23
#define DI 24
#define CS 25

int main(void)
{
    // Mount SD card
    sd_mount(DO, CLK, DI, CS);
    
    FILE * pFile;
    
    int c;

    pFile = fopen("MINIMUM.TXT","r");

    if(pFile == NULL)
    {
        putStr("Error opening file");
    }
    else
    {
        do
        {
            c = getc(pFile);
            
            putChar(c);
        }
        while(c != EOF);
        
        fclose (pFile);
    }
    
    return 0;
}

